document.addEventListener("mousemove", function (e) {
    localStorage.lastActivity = Math.floor(+new Date() / 1000);
});

document.addEventListener("keydown", function (e) {
    localStorage.lastActivity = Math.floor(+new Date() / 1000);
});

document.addEventListener("wheel", function (e) {
    localStorage.lastActivity = Math.floor(+new Date() / 1000);
});


try {
    let robotjs = require('robotjs');
    let prevY = 0;

    setInterval(function () {
        var mouse = robotjs.getMousePos();
        if (prevY !== mouse.y) {
            prevY = mouse.y;
            localStorage.lastActivity = Math.floor(+new Date() / 1000);
        }

    }, 1000);

} catch (e) {
    console.log("robotjs error ",e)
}

